Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: OpenSuse 10.3 and Eggdrop Bots

  1. #1
    Join Date
    Jun 2008
    Location
    Pittsburgh
    Posts
    24

    Default OpenSuse 10.3 and Eggdrop Bots

    I have a question. What forum or sub-forum would be most appropriate for specific questions regarding Linux eggdrop.bots. Basically, I could run bots fine with 10.1 but since I installed 10.3 I can't seem to get the bots up and running. -joe
    "I am hanging in the balance of the reality of man, like every sparrow falling, like every grain of sand." --Bob Dylan

  2. #2
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: OpenSuse 10.3 and Eggdrop Bots

    There should be no issues running an Eggdrop bot on 10.3 - I have one running as we speak.

    What issues are having?

  3. #3
    Join Date
    Jun 2008
    Location
    Pittsburgh
    Posts
    24

    Default Re: OpenSuse 10.3 and Eggdrop Bots

    Hi Chrysantine,

    When I try to launch the eggdrop I get the following message:

    ./eggdrop eggdrop.conf
    ./eggdrop: error while loading shared libraries: libtcl8.4.so: cannot open shared object file: No such file or directory

    I use the same eggie on 10.1 and it loads fine..what am I doing wrong?

    Thanks in advance,
    Joe
    "I am hanging in the balance of the reality of man, like every sparrow falling, like every grain of sand." --Bob Dylan

  4. #4
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: OpenSuse 10.3 and Eggdrop Bots

    Have you installed the required TCL package on the 10.3 box?

    Do a :
    rpm -q tcl
    which should report:
    tcl-8.4.15-22

    or similar.

    If not, issue a zypper in tcl or use YAST to install it.

  5. #5
    Join Date
    Jun 2008
    Location
    Pittsburgh
    Posts
    24

    Default Re: OpenSuse 10.3 and Eggdrop Bots

    Hi Chrys,

    You noted:

    "Do a :
    rpm -q tcl
    which should report:
    tcl-8.4.15-22"

    I did that and it reported tcl-8.4.15-22 just fine. I have no clue as to what zypper is? I'm pretty much a newbie to the world of eggdrop bots.

    -joe
    "I am hanging in the balance of the reality of man, like every sparrow falling, like every grain of sand." --Bob Dylan

  6. #6
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: OpenSuse 10.3 and Eggdrop Bots

    Zypper is the package management system for SuSE - it allows you to add and remove software from the command line.

    Anyway, the error indicates it cannot find a library yet it seems to exist (It's part of the tcl package)

    My suggestion: Take the sources of the Eggdrop bot on your 10.1, copy them over to the 10.3 box and re-compile the Eggdrop.

    You did compile the Eggdrop bot yourself the last time?

  7. #7
    Join Date
    Jun 2008
    Location
    Pittsburgh
    Posts
    24

    Default Re: OpenSuse 10.3 and Eggdrop Bots

    I used a pre-compiled eggdrop...
    "I am hanging in the balance of the reality of man, like every sparrow falling, like every grain of sand." --Bob Dylan

  8. #8
    Join Date
    Jun 2008
    Location
    Pittsburgh
    Posts
    24

    Default Re: OpenSuse 10.3 and Eggdrop Bots

    Hi again,

    If this helps, here's another message I get if I use the ./configure command:

    "This is Eggdrop's GNU configure script.
    It's going to run a bunch of tests to hopefully make your compile
    work without much twiddling.

    checking for gcc... no
    checking for cc... no
    checking for cc... no
    checking for cl... no
    configure: error: no acceptable C compiler found in $PATH
    See `config.log' for more details."

    I'm lost on all this...any help woudld be appreciated.

    -joe
    "I am hanging in the balance of the reality of man, like every sparrow falling, like every grain of sand." --Bob Dylan

  9. #9
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: OpenSuse 10.3 and Eggdrop Bots

    Hi,

    The errors you are getting are due to lacking the C compiler and related utilities - you can install these by going to YAST / Software, clicking on Filter, then choosing Patterns and choosing C/C++ Compiler and Tools.

    This should install all the necessary tools for compiling and development.

  10. #10
    Join Date
    Jun 2008
    Location
    Pittsburgh
    Posts
    24

    Default Re: OpenSuse 10.3 and Eggdrop Bots

    Hi Chrysantine,

    I've got to dash off to a few appts, but I will let you know how it goes with YAST. It sounds, though, like that should solve the problem. -joe
    "I am hanging in the balance of the reality of man, like every sparrow falling, like every grain of sand." --Bob Dylan

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •